Package ru.bitel.bgbilling.kernel.contract.status.server.bean

# Class ContractStatusMonitorDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<MonitorStatusResult>
ru.bitel.bgbilling.kernel.contract.status.server.bean.ContractStatusMonitorDao

public class ContractStatusMonitorDao extends ru.bitel.bgbilling.common.dao.AbstractDao<MonitorStatusResult>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `BALANCE_DUMP_TABLE`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractStatusMonitorDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SearchResult<MonitorStatusResult>`
  `contractSearch(int saldoShowMode, int saldoAccountMonths, float serviceAccountMaxValue, String serviceAccountMaxServices, String status, int mode, int subContract, int balanceLimit, int balancePrevLimit, int statusPeriod, String statusPeriodUnit, Set<Integer> label, Set<Integer> notLabel, String saldoFrom, String saldoTo, BigDecimal saldoAcconuntsMore, String sort, Page page)`
  `Calendar`
  `createBalanceDump()`
  `protected MonitorStatusResult`
  `getFromRS(ResultSet rs)`
  `protected void`
  `updateImpl(MonitorStatusResult monitorStatusResult)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BALANCE_DUMP_TABLE

    protected static final String BALANCE_DUMP_TABLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ContractStatusMonitorDao

    public ContractStatusMonitorDao(Connection con)

- ## Method Details

  - ### createBalanceDump

    public Calendar createBalanceDump() throws SQLException
    Throws:
      `SQLException`

  - ### contractSearch

    public SearchResult<MonitorStatusResult> contractSearch(int saldoShowMode, int saldoAccountMonths, float serviceAccountMaxValue, String serviceAccountMaxServices, String status, int mode, int subContract, int balanceLimit, int balancePrevLimit, int statusPeriod, String statusPeriodUnit, Set<Integer> label, Set<Integer> notLabel, String saldoFrom, String saldoTo, BigDecimal saldoAcconuntsMore, String sort, Page page) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(MonitorStatusResult monitorStatusResult) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MonitorStatusResult>`
    Throws:
      `SQLException`

  - ### getFromRS

    protected MonitorStatusResult getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<MonitorStatusResult>`
    Throws:
      `SQLException`